explain_accept4_or_die(3)

NAME
explain_accept4_or_die - accept a connection on a socket and report errors
    "accept a connection on a socket and report errors"

SYNOPSIS
#include <libexplain/accept4.h>

int explain_accept4_or_die(int fildes, struct sockaddr *sock_addr, socklen_t *sock_addr_size, int flags);
int explain_accept4_on_error(int fildes, struct sockaddr *sock_addr, socklen_t *sock_addr_size, int flags);

DESCRIPTION
The explain_accept4_or_die function is used to call the accept4(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_accept4(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_accept4_on_error function is used to call the accept4(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_accept4(3) function, but still returns to the caller.

fildes
    The fildes, exactly as to be passed to the accept4(2) system call.

sock_addr
    The sock_addr, exactly as to be passed to the accept4(2) system call.

sock_addr_size
    The sock_addr_size, exactly as to be passed to the accept4(2) system call.

flags
    The flags, exactly as to be passed to the accept4(2) system call.

RETURN VALUE
The explain_accept4_or_die function only returns on success, see accept4(2) for more information. On failure, prints an explanation and exits, it does not return.

The explain_accept4_on_error function always returns the value return by the wrapped accept4(2) system call.

EXAMPLE
The explain_accept4_or_die function is intended to be used in a fashion similar to the following example:
    int result = explain_accept4_or_die(fildes, sock_addr, sock_addr_size, flags);

SEE ALSO

accept4(2)
    accept a connection on a socket

explain_accept4(3)
    explain accept4(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.2
Copyright (C) 2009 Peter Miller